struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From dmk...@earthlink.net (David M. Karr)
Subject Re: -el and tomcat 4.0
Date Fri, 21 Feb 2003 03:35:49 GMT
>>>>> "David" == David Bolsover <david@bolsover.com> writes:

    David> Hi all
    David> I am having some problems with some jsp's that use the struts-el tags - they
run fine under Tomcat
    David> 4.1.12 but refuse to compile under 4.0.

    David> I seem to recall reading somewhere that there are come config changes needed
to use struts 1.1 under
    David> Tomcat 4.0 -- but I can't find the references now - so does anyone know the
cause/solution to this
    David> problem.

    David> Thanks in anticipation

    David> db

    David> The following is a very small extract from the servletexception:

    David> Tomcat 4.0\work\localhost\VisualWeb\tiles\userupdatebody$jsp.java:261: Invalid
expression statement.
    David> _jspx_th_html-el_hidden_0.setPageContext(pageContext); ^ An error occurred at
line: 19 in the jsp

Why are you trying to use Tomcat 4.0?  There were numerous problems which were
found and fixed when the first 4.0 release came out.

It's possible you could get past this problem by changing your tag prefix from
"html-el" to "htmlel" (or something like that).  I'm guessing from the error
message that the dash in the prefix looks like a subtraction sign in the
parser.  I wouldn't be surprised if you hit other problems, however.

-- 
===================================================================
David M. Karr          ; Java/J2EE/XML/Unix/C++
dmkarr@earthlink.net   ; SCJP; SCWCD




---------------------------------------------------------------------
To unsubscribe, e-mail: struts-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: struts-user-help@jakarta.apache.org


Mime
View raw message